- (vl-load-com)
- (defun C:tt (/ Talud_boven Talud_onder afstand afstand_totaal count p1 p2 kleur)
- (if (and (setq Talud_boven (car (entsel "\n***选择上坎线**: ")))
- (setq Talud_onder (car (entsel "\n***选择下坎线**: ")))
- (setq afstand (getint "\n**间距**:"))
- (setq afstand_totaal 0 count 0 kleur (acad_colordlg 8))
- )
- (while(setq p1(vlax-curve-getpointatdist Talud_boven afstand_totaal))
- (setq p2(vlax-curve-getClosestPointTo Talud_onder p1)
- afstand_totaal (+ afstand_totaal afstand)
- count(1+ count))
- (if(zerop(rem count 2))
- (setq p2(polar p1(angle p1 p2)(/(distance p1 p2)3))))
- (entmake(mapcar'cons'(0 10 11 62)(List"LINE"p1 p2 kleur))))
- )
- )
|